package edu.cmu.cs.l3.absyn;

import java.util.List;
import edu.cmu.cs.l3.symbol.*;

public class ASRecordType extends ASType {

    public ASRecordType(int p, List varlist) {
	super(p); m_varlist = varlist;

	m_typename = "record";
	m_classname = "ASRecordType";
    }

    public List getFields() {
	return m_varlist;
    }

    private List m_varlist;
}